package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AreaShowPoint;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AreaShowPointMapper")
public interface AreaShowPointMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AreaShowPoint record);

    AreaShowPoint selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AreaShowPoint record);

    List<AreaShowPoint> queryAllAreaShowPoint(AreaShowPoint record);

    List<AreaShowPoint> queryAreaShowPointByPage(Map<String, Object> parameter);

    int delete(AreaShowPoint record);

    AreaShowPoint queryAreaShowPoint(AreaShowPoint record);

    List<AreaShowPoint> query(AreaShowPoint record);
}

